> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a concept DELETE https://api.contentful.com/organizations/{organization_id}/taxonomy/concepts/{concept_id} _Deleting concepts does not remove existing references to them in content type validations, or entries._ Reference: https://contentful.com/developers/docs/references/content-management-api/taxonomy/delete-a-concept ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) - `concept_id` (string, required) ### Query parameters - `concept_id` (string, required) — The ID of the concept. - `organization_id` (string, required) — The ID of the organization. ### Headers - `X-Contentful-Version` (string, required) — Version of the concept to update ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) Please use the Javascript (Plain client) for this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) await client.concept.delete({ organizationId: '', conceptId: '', version: }) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET csharp // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); // Delete a concept await managementClient.DeleteTaxonomyConcept(organizationId, "concept-id", version); ```